---
- name: ELK | Install repo
  yum_repository:
    name: elastic
    description: Elasticsearch repository
    baseurl: https://artifacts.elastic.co/packages/6.x/yum
    gpgcheck: yes
    gpgkey: https://artifacts.elastic.co/GPG-KEY-elasticsearch
    enabled: yes
    file: elastic
    state: present

- name: NGINX | install nginx
  import_role:
    name: nginx
  tags: nginx_install


- name: ELK | Install elasticsearch
  yum:
    name: "{{ item }}"
    state: present
  notify:
    - restart_elastic 
    - restart_kibana
    - restart_logstash
  with_items:
    - "{{ dependency }}"
    - "{{ install_pkg }}"

### Test      
- name: PIP | install deps
  pip:
    name: passlib>=1.6

- name: NGINX | htpasswd
  htpasswd:
      path: /etc/nginx/htpasswd.users
      name: "{{ kibanaadmin }}"
      password: "{{ kibanapasswd }}"
###

- name: Copy template
  template:
    src: "{{ item.src }}"
    dest: "{{ item.dest }}"
    owner: "{{ item.owner }}"
    group: "{{ item.group }}"
    mode: "{{ item.mode }}"
  notify:
    - restart_elastic
    - restart_kibana
    - reload_nginx
    - restart_logstash
  with_items:
    - { src: elasticsearch.yml.j2, dest: /etc/elasticsearch/elasticsearch.yml, owner: root, group: elasticsearch, mode: 'u=rw,g=rw,o=' }
    - { src: kibana.yml.j2, dest: /etc/kibana/kibana.yml, owner: root, group: root, mode: 'u=rw,g=r,o=r' }
    - { src: kibana.conf.j2, dest: /etc/nginx/conf.d/kibana.conf, owner: root, group: root, mode: 'u=rw,g=r,o=r' }
    - { src: logstash.conf.j2, dest: /etc/logstash/conf.d/logstash.conf, owner: root, group: root, mode: 'u=rw,g=r,o=r' }

- name: Set httpd_can_network_connect flag on and keep it persistent across reboots
  seboolean:
    name: httpd_can_network_connect
    state: yes
    persistent: yes



    